Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisDecodedInstructionRaw_::ZydisDecodedInstructionModRm_ Struct Reference

Detailed info about the ModRM byte. More...

`#include <DecoderTypes.h>`

## Data Fields
ZyanU8 | mod
| The addressing mode.
ZyanU8 | reg
| Register specifier or opcode-extension.
ZyanU8 | rm
| Register specifier or opcode-extension.
ZyanU8 | offset
| The offset of the ModRM byte, relative to the beginning of the instruction, in bytes.

## Detailed Description

Detailed info about the ModRM byte.

## Field Documentation

## ◆ mod

ZyanU8 mod

The addressing mode.

## ◆ offset

ZyanU8 offset

The offset of the ModRM byte, relative to the beginning of the instruction, in bytes.

## ◆ reg

ZyanU8 reg

Register specifier or opcode-extension.

## ◆ rm

ZyanU8 rm

Register specifier or opcode-extension.

The documentation for this struct was generated from the following file:

- include/Zydis/DecoderTypes.h